Subject: [v6ops] Fwd: I-D Action:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

From: Fred Baker <[email-masked]>
Date: Fri, 1 Apr 2011 16:08:42 +0200

As promised Thursday...

This is some ruminations I had regarding CPE routers and shared with the design team. 

Begin forwarded message:

> From: Fred Baker <[email-masked]>
> Date: March 28, 2011 4:36:28 AM GMT+02:00
> To: <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [v6ops] I-D Action:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt
> 
> On Mar 27, 2011, at 11:22 PM, Frank Bulk wrote:
> 
>> Thanks for the diagram.  Because we're talking about multi-homing,
>> multi-routers, and stacked routers, it may be helpful to create an
>> exhaustive set of diagrams that cover each scenario so we can be on the same
>> page when talking about this bis draft and also work through our ideas in
>> each of the scenarios.
>> 
>> It may end up that the scope of this draft is reduced to just a few
>> scenarios, even though we may *want* to tackle them all.  
>> 
>> Frank
> 
> 
> Copying the design team; I don't want them to take this as direction, but it might be appropriate input to their thoughts.
> 
> My personal opinion: the use case for a residential or SOHO network is very simple. A common one - the one in my children's homes - is "I have a router and it connects me to the Internet", as James Woodyat has spoken about. This was the only case discussed in draft-ietf-v6ops-cpe-router:
> 
> 1) Simple Residential Network
> 
>              `.  ISP  ,'
>                `--+--'
>                   |
>             +-----+-----+
>             |Residential|
>             |CPE Router |
>             +-----+-----+
>                   |
>        `----------+----------
>         Wired and Wireless LAN
> 
> A variation on that is Cisco's recommendation for its telecommuter population (which is perhaps 1/3 of the company, at least part-time): we use an 8xx series router, split the four "inside" ports between two or more subnets, one of which is for the telecommuter's home office, and provide a wireless access for use by the telecommuter. In my case, I don't use the wireless capability, as wired is more reliable and I pretty much sit at a desk; I instead have a 24 port 10/100/1000 switch wired to the various rooms in my home, including two 802.11g access points that effectively extend that LAN throughout the house. The latter are, however, a technical detail; if I chose to, I imagine I could build that all into a higher end router.
> 
> 2) Multi-LAN Residential Network
> 
>                 `.  ISP  ,'
>                   `--+--'
>                      |
>              +-------+-------+
>              |  Residential  |
>              |  CPE Router   |
>              +-+-----+-----+-+
>                |     |     |
>           `  --+-- --+-- --+--
>            Wired and Wireless LANs
> 
> There are two obvious implementations of a multi-LAN residential network: one could implement separate subnets and route between them, and one could implement an ND Proxy and bridge between them. I suspect both implementations have their cases, and should be treated as the "routed" and "ND-proxy" subcases of the form.
> 
> For internal structure, I think the case I mentioned should be present, if only because it represents the most general case:
> 
> 3) Multi-router subnetted network
> 
> This again has two sub-cases; it could be literally a tree, as I have drawn it, or could include some amount of complexity such as interconnecting some of the non-backbone subnets. I might call those "tree" and "redundant" networks.
> 
>                  \  ISP  /
>                   `--+--'
>                      |
>                   +--+---+
>                   | CPE  |
>                   |Router|
>                   +---+--+
>                       |      Home backbone LAN
>     -----+----------+-+--------+----------+---
>          |          |          |          |
>      +---+--+   +---+--+   +---+--+   +---+--+
>      |His   |   |Her   |   |A/V   |   |HAN   |
>      |Office|   |Office|   |LAN   |   |Router|
>      |Router|   |Router|   |Router|   +--+---+
>      +---+--+   +---+--+   +---+--+      |
>          |          |          |         |
>   -------+---  -----+---  -----+---  ----+----
> 
> There are two more bits of complexity that should not be omitted: multihoming, and redundant paths. These are each, I think, special cases of the first three, such as
> 
> 4) Multihomed network
> 
> The most common version of a multihomed network, I suspect, is a network in a home where multiple people have offices, virtual or physical, and whose companies have similar information security policies to Cisco's; James Polk could give you some insight there, as Motorola required his wife to maintain similar separation between work and home. The amusing thing was that he could hear her on the phone. As in case 2, each had a router that provided them access to both a "secured" subnet for their office and an "unsecured" subnet for the home; they connected the "unsecured" subnets on the home LAN. Jari Arkko's home is another example, although to my knowledge his wife doesn't work outside the home - he simply chooses to have multiple upstreams. So the key differentiation in this case is that it has multiple upstreams.
> 
>      \         /\         /
>       \  ISP  /  \  ISP  /
>        `--+--'    `--+--'
>           |          |
>        +--+---+   +--+---+
>        | CPE  |   | CPE  |
>        |Router|   |Router|
>        +---+--+   +---+--+
>            |          |      Home backbone LAN
>     -----+-+--------+-+--------+----------+---
>          |          |          |          |
>       Various variations on cases 1, 2, and 3
> 
> So, for my money, six cases and subcases:
> 	1)  Simple residential network
> 	2a) Routed Multi-LAN Residential Network
> 	2b) ND-Proxy Multi-LAN Residential Network
> 	3a) Tree Multi-router subnetted network
> 	3b) Redundant Multi-router subnetted network
> 	4)  Multihomed Network
> 
> The most general case, of course, is a multihomed redundant multi-router subnetted network. This begins to look like an SMB network, and might want to be called out explicitly:
> 
> 4b) Multihomed Redundant Multi-router subnetted network
> 
>           \         /\         /
>            \  ISP  /  \  ISP  /
>             `--+--'    `--+--'
>                |          |
>             +--+---+   +--+---+
>             | CPE  |   | CPE  |
>             |Router|   |Router|
>             +---+--+   +---+--+
>                 |          |      Home backbone LAN
>          -----+-+--------+-+--------+----------+---
>               |          |          |    |     |
>           +---+--+   +---+--+   +---+--+ | +---+--+
>           |His   |   |Her   |   |A/V   +-+ |HAN   |
>           |Office|   |Office|   |LAN   | +-+Router|
>           |Router|   |Router|   |Router| | +--+---+
>           +---+--+   +---+--+   +---+--+ |    |
>               |          |          |         |
>        -------+---  -----+---  -----+---  ----+----
> 
> As far as the cases we want to cover or not cover; IMHO, if our solution to the tougher problems, such as the subnet delegation model, doesn't work in 4b, we're not really done. That said, for most residential/SOHO purposes, we're talking about (1), (2a), (2b), and (3a).
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>> Fred Baker
>> Sent: Thursday, March 17, 2011 5:03 PM
>> To: Templin, Fred L
>> Cc: IPv6 Ops WG
>> Subject: Re: [v6ops] I-D Action:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt
>> 
>> 
>> On Mar 17, 2011, at 2:29 PM, Templin, Fred L wrote:
>> 
>>> Hi Fred,
>>> 
>>> What I mean to say is that when a host on the LAN
>>> side of CE 'A' sends packets to a host on the LAN
>>> side of CE 'B', 'A' has to figure out what to do
>>> with them since it all it has in its routing table
>>> is a default route.
>> 
>> In any context where routing comes up, there is more than one LAN in the
>> local area, and the question is how to get a datagram from one to the other.
>> Consider this simplistic case:
>> 
>>                       ISP
>>                        |
>>                     +--+---+
>>                     | CPE  |
>>                     |Router|
>>                     +--+---+
>>          ------+-------+----------------+-----
>>             +--+--+                 +---+--+
>>             |Alice|                 |Router|
>>             +-----+                 +--+---+
>>                               ----+----+--------
>>                                 +-+-+
>>                                 |Bob|
>>                                 +---+
>> 
>> Alice wants to send a datagram to Bob, and because she got her RA from the
>> CPE, considers the CPE her default gateway. So sends the datagram to Bob's
>> address at the IP layer, and to the CPE's address at the link layer.
>> 
>> If you are expecting the CPE to respond with a redirect to the other router
>> in the picture, the CPE has to know that the other router is a router and
>> has a LAN behind it, and specifically the LAN that Bob's subnet is on. More
>> generally, in a home that has them all, one could readily imagine
>> 
>>                     ISP
>>                      |
>>                   +--+---+
>>                   | CPE  |
>>                   |Router|
>>                   +---+--+   Home backbone LAN
>>     -----+----------+-+--------+----------+---
>>      +---+--+   +---+--+   +---+--+   +---+--+
>>      |His   |   |Her   |   |A/V   |   |HAN   |
>>      |Office|   |Office|   |LAN   |   |Router|
>>      |Router|   |Router|   |Router|   +--+---+
>>      +---+--+   +---+--+   +---+--+      |
>>   -------+---  -----+---  -----+---  ----+----
>> 
>> If "Alice" is in "Her Office" and "Bob" is in "His Office", how does Alice's
>> router know where the default route should point to? What is its "default
>> gateway"?
>> 
>> I understand your point that if you have a trivially simple network, with
>> one router and everything attached to it, it knows what you're doing.
>> Predicating everything on that simplistic picture is, in my experience,
>> naive.
>> 
>>> So, 'A' bounces the initial packets off its default
>>> router 'C' which forwards them to 'B' but also
>>> returns redirection messages to 'A'.
>>> 
>>> 'C' can know about 'B' if it has full topology
>>> information, but it is possible that 'C' also has
>>> only partial topology information and has to default
>>> route the initial packets through some higher level
>>> gateway 'D'. 'D' can then forward the packets on
>>> towards 'B', and can return redirection messages
>>> to 'C', then 'C' can proxy the redirection messages
>>> back to 'A'.
>>> 
>>> So, there can be a hierarchy of proxying gateways
>>> in the operator's network, where each higher layer
>>> in the hierarchy has more topology information than
>>> the layer below it. I'm not quite asking for the same
>>> thing as a full-up ND_Proxy, however, since all I'm
>>> asking for is proxying of redirection messages.
>>> 
>>> Was this informational or obfuscational?
>>> 
>>> Thanks - Fred
>>> [email-masked] 
>>> 
>>>> -----Original Message-----
>>>> From: Fred Baker [mailto:[email-masked]] 
>>>> Sent: Thursday, March 17, 2011 2:10 PM
>>>> To: Templin, Fred L
>>>> Cc: Hemant Singh (shemant); Cameron Byrne; IPv6 Ops WG
>>>> Subject: Re: [v6ops] I-D 
>>>> Action:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt
>>>> 
>>>> Really? How does the router emitting the ICMP Redirect learn 
>>>> where routes should be directed to? How does it compare them?
>>>> 
>>>> On Mar 17, 2011, at 1:55 PM, Templin, Fred L wrote:
>>>> 
>>>>> 
>>>>> Regarding scaling, there is another way to do dynamic
>>>>> routing when traditional proactive routing protocols
>>>>> like OSPFv3 and RIPng cannot be used. For example, if
>>>>> the CEs and BRs can be represented as neighbors on a
>>>>> virtual NBMA link, then ICMP redirection can be used.
>>>>> 
>>>>> This would be classified as an on-demand (instead of
>>>>> proactive) dynamic routing protocol, and so does not
>>>>> need to hold non-essential routes in the RIB.
>>>>> 
>>>>> I have specified a way to do this for ISATAP in the
>>>>> latest VET spec (draft-templin-intarea-vet) but the
>>>>> same method can be applied to other mainfestations
>>>>> of virtual NBMA links as well.
>>>>> 
>>>>> Thanks - Fred
>>>>> [email-masked]

---

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 1 Apr 2011 11:13:54 -0700

Hi Fred,

Not sure if you were looking for feedback on this, but all
of these SOHO-network-behind-the-CPE scenarios you outlined
have one thing in common - they can all be supported by
ISATAP. Is it too early to introduce that into the
discussion?

Thanks - Fred

> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Fred Baker
> Sent: Friday, April 01, 2011 7:09 AM
> To: IPv6 Ops WG
> Subject: [v6ops] Fwd: I-D 
> > Copying the design team; I don't want them to take this as 
> direction, but it might be appropriate input to their thoughts.
> > 
> > My personal opinion: the use case for a residential or SOHO 
> network is very simple. A common one - the one in my 
> children's homes - is "I have a router and it connects me to 
> the Internet", as James Woodyat has spoken about. This was 
> the only case discussed in draft-ietf-v6ops-cpe-router:
> > 
> > A variation on that is Cisco's recommendation for its 
> telecommuter population (which is perhaps 1/3 of the company, 
> at least part-time): we use an 8xx series router, split the 
> four "inside" ports between two or more subnets, one of which 
> is for the telecommuter's home office, and provide a wireless 
> access for use by the telecommuter. In my case, I don't use 
> the wireless capability, as wired is more reliable and I 
> pretty much sit at a desk; I instead have a 24 port 
> 10/100/1000 switch wired to the various rooms in my home, 
> including two 802.11g access points that effectively extend 
> that LAN throughout the house. The latter are, however, a 
> technical detail; if I chose to, I imagine I could build that 
> all into a higher end router.
> > 
> > There are two obvious implementations of a multi-LAN 
> residential network: one could implement separate subnets and 
> route between them, and one could implement an ND Proxy and 
> bridge between them. I suspect both implementations have 
> their cases, and should be treated as the "routed" and 
> "ND-proxy" subcases of the form.
> > 
> > For internal structure, I think the case I mentioned should 
> be present, if only because it represents the most general case:
> > 
> > This again has two sub-cases; it could be literally a tree, 
> as I have drawn it, or could include some amount of 
> complexity such as interconnecting some of the non-backbone 
> subnets. I might call those "tree" and "redundant" networks.
> > 
> >                  \  ISP  /
> >                   `--+--'
> >                      |
> >                   +--+---+
> >                   | CPE  |
> >                   |Router|
> >                   +---+--+
> >                       |      Home backbone LAN
> > There are two more bits of complexity that should not be 
> omitted: multihoming, and redundant paths. These are each, I 
> think, special cases of the first three, such as
> > 
> > 4) Multihomed network
> > 
> > The most common version of a multihomed network, I suspect, 
> is a network in a home where multiple people have offices, 
> virtual or physical, and whose companies have similar 
> information security policies to Cisco's; James Polk could 
> give you some insight there, as Motorola required his wife to 
> maintain similar separation between work and home. The 
> amusing thing was that he could hear her on the phone. As in 
> case 2, each had a router that provided them access to both a 
> "secured" subnet for their office and an "unsecured" subnet 
> for the home; they connected the "unsecured" subnets on the 
> home LAN. Jari Arkko's home is another example, although to 
> my knowledge his wife doesn't work outside the home - he 
> simply chooses to have multiple upstreams. So the key 
> differentiation in this case is that it has multiple upstreams.
> > 
> >      \         /\         /
> >       \  ISP  /  \  ISP  /
> >        `--+--'    `--+--'
> >           |          |
> >        +--+---+   +--+---+
> >        | CPE  |   | CPE  |
> >        |Router|   |Router|
> >        +---+--+   +---+--+
> >            |          |      Home backbone LAN
> > The most general case, of course, is a multihomed redundant 
> multi-router subnetted network. This begins to look like an 
> SMB network, and might want to be called out explicitly:
> > 
> > As far as the cases we want to cover or not cover; IMHO, if 
> our solution to the tougher problems, such as the subnet 
> delegation model, doesn't work in 4b, we're not really done. 
> That said, for most residential/SOHO purposes, we're talking 
> about (1), (2a), (2b), and (3a).
> > 
> >> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of
> >> Fred Baker
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: Fred Baker <[email-masked]>
Date: Fri, 1 Apr 2011 22:18:56 +0200

> ISATAP. Is it too early to introduce that into the

I suspect residential/SOHO networks will use native routing, not an overlay. What would be interesting in an operational group might be reports from people using ISATAP in these environments.

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Sat, 2 Apr 2011 11:15:20 -0500

Besides working on more complex routed topologies, some other issues
were brought up.  Alain Durand asked to add PCP to the document.  Tom
Herbst asked to make the ULA generation on the CE Router LAN a MUST.
Sorry, I could not make a note of any other comments.  Please let us
know of other comments (at the mic or in Jabber) made during the bis
document presentation at the IETF in Prague.

Thanks,

Hemant

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Fred Baker (fred)
Sent: Friday, April 01, 2011 10:09 AM
To: IPv6 Ops WG
Subject: [v6ops] Fwd: I-D
Action:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

As promised Thursday...

This is some ruminations I had regarding CPE routers and shared with the
design team. 

> Copying the design team; I don't want them to take this as direction,
but it might be appropriate input to their thoughts.
> 
> My personal opinion: the use case for a residential or SOHO network is
very simple. A common one - the one in my children's homes - is "I have
a router and it connects me to the Internet", as James Woodyat has
spoken about. This was the only case discussed in
draft-ietf-v6ops-cpe-router:
> A variation on that is Cisco's recommendation for its telecommuter
population (which is perhaps 1/3 of the company, at least part-time): we
use an 8xx series router, split the four "inside" ports between two or
more subnets, one of which is for the telecommuter's home office, and
provide a wireless access for use by the telecommuter. In my case, I
don't use the wireless capability, as wired is more reliable and I
pretty much sit at a desk; I instead have a 24 port 10/100/1000 switch
wired to the various rooms in my home, including two 802.11g access
points that effectively extend that LAN throughout the house. The latter
are, however, a technical detail; if I chose to, I imagine I could build
that all into a higher end router.
> There are two obvious implementations of a multi-LAN residential
network: one could implement separate subnets and route between them,
and one could implement an ND Proxy and bridge between them. I suspect
both implementations have their cases, and should be treated as the
"routed" and "ND-proxy" subcases of the form.
> 
> For internal structure, I think the case I mentioned should be
present, if only because it represents the most general case:
> This again has two sub-cases; it could be literally a tree, as I have
drawn it, or could include some amount of complexity such as
interconnecting some of the non-backbone subnets. I might call those
"tree" and "redundant" networks.
> There are two more bits of complexity that should not be omitted:
multihoming, and redundant paths. These are each, I think, special cases
of the first three, such as
> 
> 4) Multihomed network
> 
> The most common version of a multihomed network, I suspect, is a
network in a home where multiple people have offices, virtual or
physical, and whose companies have similar information security policies
to Cisco's; James Polk could give you some insight there, as Motorola
required his wife to maintain similar separation between work and home.
The amusing thing was that he could hear her on the phone. As in case 2,
each had a router that provided them access to both a "secured" subnet
for their office and an "unsecured" subnet for the home; they connected
the "unsecured" subnets on the home LAN. Jari Arkko's home is another
example, although to my knowledge his wife doesn't work outside the home
- he simply chooses to have multiple upstreams. So the key
differentiation in this case is that it has multiple upstreams.
>       \  ISP  /  \  ISP  /
multi-router subnetted network. This begins to look like an SMB network,
and might want to be called out explicitly:
> As far as the cases we want to cover or not cover; IMHO, if our
solution to the tougher problems, such as the subnet delegation model,
doesn't work in 4b, we're not really done. That said, for most
residential/SOHO purposes, we're talking about (1), (2a), (2b), and
(3a).

---

From: "Templin, Fred L" <[email-masked]>
Date: Sun, 3 Apr 2011 08:11:23 -0700

Hi Fred,

> Sent: Friday, April 01, 2011 1:19 PM
> To: Templin, Fred L
> Cc: IPv6 Ops WG
> Subject: Re: [v6ops] Fwd: I-D
> I suspect residential/SOHO networks will use native routing,
> not an overlay. What would be interesting in an operational
> group might be reports from people using ISATAP in these environments.

I fully agree that native IPv6 should be preferred when it
is available within these sorts of networks. But, as your
wide variety of network topology diagrams show, it may not
always be possible to predict the kinds of configurations the
end users might have in place. In some scenarios, it might be
beneficial to be able to automatically "light up" IPv6 when
the new CPE router is dropped into place.

Thanks - Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 5 Apr 2011 13:15:37 -0700

I would like to propose a new section for this draft to
cover the use of transition technologies within the end
user LAN side network. See below for proposed text:

Fred

--- cut here ---

5.5.3  ISATAP

   The IPv6 CE Router can be used to offer IPv6 services to nodes
   on IPv4-only segments within the end user LAN. ISATAP [RFC5214]
   provides for intra-site encapsulation of IPv6 packets over IPv4
   networks that connect to the IPv6 Internet via one or more IPv6
   CE Routers configured as site border routers. The IPv6 CE Router
   sub-delegates portions of its IPv6 prefixes for assignment to
   nodes on the ISATAP link and/or to the ISATAP link itself. 

   ISATAP requirements:

   ISA-1:  If the IPv6 CE Router implements ISATAP functionality, the
           CE Router LAN interface MUST support at least one ISATAP
           virtual interface and ISATAP router functionality as
           specified in [RFC5214].

   ISA-2:  If the IPv6 CE Router implements ISATAP functionality, it
           MUST arrange to add itself to the ISATAP Potential Router
           List (PRL) for the LAN.

   ISA-3:  When the LAN contains legacy ISATAP nodes that support
           only SLAAC, the IPv6 CE router MUST advertise IPv6 prefixes
           on the ISATAP interface.

   ISA-4:  The CE router MUST be configured in a manner that ensures
           that no IPv6 routing loops are enabled via the ISATAP
           interface [draft-ietf-v6ops-tunnel-loops].

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 5 Apr 2011 15:33:56 -0500

Fred,

Thanks for the text.  I will run your email by our IPv6 CE Router design
team and solicit feedback from them for ISATAP in the IPv6 CE Router
specification.

Cheers,

Hemant

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Templin, Fred L
Sent: Tuesday, April 05, 2011 4:16 PM
To: IPv6 Ops WG
Subject: Re: [v6ops] Fwd:
I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Fred

--- cut here ---

5.5.3  ISATAP

   ISATAP requirements:

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 5 Apr 2011 16:41:30 -0500

Fred,

One feedback from the design team was to ask how many home or soho
networks use ISATAP today before the team would decide to add ISATAP to
the bis document?  

Thanks,

Hemant

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Hemant Singh (shemant)
Sent: Tuesday, April 05, 2011 4:34 PM
To: Templin, Fred L; IPv6 Ops WG
Subject: Re: [v6ops]
Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Fred,

Cheers,

Hemant

-----Original Message-----

Fred

--- cut here ---

5.5.3  ISATAP

   ISATAP requirements:

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 5 Apr 2011 14:59:01 -0700

Hi Hemant,

I have no way of knowing how many home or soho networks
use ISATAP today, however I do know that there are many
(millions of?) hosts that would automatically enable
ISATAP if it were available in the home/soho network.

Thanks - Fred

> From: Hemant Singh (shemant) [mailto:[email-masked]] 
> Sent: Tuesday, April 05, 2011 2:42 PM
> To: Hemant Singh (shemant); Templin, Fred L; IPv6 Ops WG
> Subject: RE: [v6ops]

---

From: Fred Baker <[email-masked]>
Date: Wed, 6 Apr 2011 00:29:46 +0200

Isn't cpe-router-bis is about a native IPv6 residential/SOHO network? What would ISATAP do in a native IPv6 network?

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 5 Apr 2011 15:49:28 -0700

Hi Fred, 

> Sent: Tuesday, April 05, 2011 3:30 PM
> To: Templin, Fred L
> Cc: Hemant Singh (shemant); IPv6 Ops WG
> Subject: Re: [v6ops] 
> Isn't cpe-router-bis is about a native IPv6 residential/SOHO 
> network?

Well, Section 3.1 of draft-ietf-v6ops-ipv6-cpe-router-09
seems to acknowledge the existence of current IPv4 End-user
networks, and that: "It is not expected that an end-user
will change their existing network topology with the
introduction of IPv6".

It seems therefore that there will be a class of end
user networks that would benefit from an intra-site
IPv6/IPv4 transition technology.

> What would ISATAP do in a native IPv6 network?

The host would prefer native IPv6 over ISATAP. But,
not all home/soho networks are set up for native IPv6.

Thanks - Fred

> [mailto:[email-masked]] On Behalf
> [mailto:[email-masked]] On Behalf
> >> Of Templin, Fred L

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 5 Apr 2011 18:03:21 -0500

Fred T.,

If the CE router gets a public IPv4 address the CE router goes directly
to the public IPv4 Internet.  If the CE router gets a "private" IPv4
address where private is RFC 1918 address space + the specific subnet
defined in DS-Lite, the CE router uses DS-Lite.  DS-Lite also takes care
of shared IPv4 addresses between multiple homes.  Can ISATAP take care
of shared IPv4 address between different homes? 

Hemant

-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]] 
Sent: Tuesday, April 05, 2011 6:49 PM
To: Fred Baker (fred)
Cc: Hemant Singh (shemant); IPv6 Ops WG
Subject: RE: [v6ops]

Hi Fred, 

Thanks - Fred

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 5 Apr 2011 18:14:53 -0500

Alain,

Since you asked at the mic during the IETF 80 in Prague to add PCP to
the IPv6 CE Router bis document, I have been looking at
draft-ietf-pcp-base-07 that you pointed me to.  As Lee said in response
that we try and not add I-D's to the IPv6 CE router document.  We need
specifications in RFC form.  You said the document is going to LastCall
soon.  Well, the document has lot of other document dependencies such a
PCP Proxy, pcp-upnp-igd-interworking, etc.  Thus I am not sure how soon
can draft-ietf-pcp-base-07 become an RFC.  However, I do see use cases
for PCP in the CE router.  I use a Linux machine in my home and
sometimes from the road I access the machine with SSH.  With CGN in the
SP serving my home, I can certainly see the SSH default port be mapped
to some other port.  Can anyone on the PCP document team provide some
text for use of PCP in the IPv6 CE Router document?  Let's take is from
there. 

Thanks,

Hemant

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 5 Apr 2011 18:57:31 -0500

Fred T.,

Someone else pointed out to me use of ISATAP is in the home LAN.  Thus I
need not compare ISATAP to WAN 6to4 transition tech.   However, the use
case for ISATAP is not clear in the home LAN.  Let's assume the home has
multiple subnets.  Why can't the home use dual-stack in the LAN with
private IPv4 addresses and ULA and global IPv6 addresses with routing
and instead use ISATAP?

Thanks,

Hemant

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Hemant Singh (shemant)
Sent: Tuesday, April 05, 2011 7:03 PM
To: Templin, Fred L; Fred Baker (fred)
Cc: IPv6 Ops WG
Subject: Re:
[v6ops]Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Fred T.,

Hemant

---

From: "Weil, Jason" <[email-masked]>
Date: Tue, 5 Apr 2011 20:15:14 -0400

If I recall correctly ISATAP was designed to support duals-stack hosts through IPv4-only intermediate hops. The use case that I tried hard not to ponder but is the only one I could think of here is an intermediate hop IPv4-only CE router connected between a dual-stack host and the dual-stack on LAN CPE Router. While it is possibly and maybe even likely this will happen, as Hemant alluded, the uses cases currently being considered were assuming Dual-stack home network and IPv4-only or IPv6-only WAN connection to the service provider. I would say this belongs in the 3rd Phase draft for complex multi-router home networks.

Thanks,

Jason
________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Hemant Singh (shemant) [[email-masked]]
Sent: Tuesday, April 05, 2011 7:57 PM
To: Hemant Singh (shemant); Templin, Fred L; Fred Baker (fred)
Cc: IPv6 Ops WG; Tony Hain (ahain)
Subject: Re: [v6ops]    Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Fred T.,

Thanks,

Hemant

-----Original Message-----

Fred T.,

Hemant

This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: Tina Tsou <[email-masked]>
Date: Tue, 05 Apr 2011 17:26:37 -0700

Hi Jason,
Do you mean like this?
Host		[CE router] 	[CPE Router: LAN]		[CE-Router:
WAN]		Network
DS		IPv4-only 		DS
IPv4-only		
DS		IPv4-only 		DS
IPv6-only		

We keep our promises with one another - no matter what!

Best Regards,
Tina TSOU
http://tinatsou.weebly.com/contact.html

-----Original Message-----
Weil, Jason
Sent: Tuesday, April 05, 2011 5:15 PM

If I recall correctly ISATAP was designed to support duals-stack hosts
through IPv4-only intermediate hops. The use case that I tried hard not to
ponder but is the only one I could think of here is an intermediate hop
IPv4-only CE router connected between a dual-stack host and the dual-stack
on LAN CPE Router. While it is possibly and maybe even likely this will
happen, as Hemant alluded, the uses cases currently being considered were
assuming Dual-stack home network and IPv4-only or IPv6-only WAN connection
to the service provider. I would say this belongs in the 3rd Phase draft for
complex multi-router home networks.

Thanks,

Jason
________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Hemant
Singh (shemant) [[email-masked]]
Sent: Tuesday, April 05, 2011 7:57 PM
To: Hemant Singh (shemant); Templin, Fred L; Fred Baker (fred)
Cc: IPv6 Ops WG; Tony Hain (ahain)
Subject: Re: [v6ops]
Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Fred T.,

Thanks,

Hemant

-----Original Message-----

Fred T.,

Hemant

This E-mail and any of its attachments may contain Time Warner Cable
proprietary information, which is privileged, confidential, or subject to
copyright belonging to Time Warner Cable. This E-mail is intended solely for
the use of the individual or entity to which it is addressed. If you are not
the intended recipient of this E-mail, you are hereby notified that any
dissemination, distribution, copying, or action taken in relation to the
contents of and attachments to this E-mail is strictly prohibited and may be
unlawful. If you have received this E-mail in error, please notify the
sender immediately and permanently delete the original and any copy of this
E-mail and any printout.
_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops

---

From: "Weil, Jason" <[email-masked]>
Date: Wed, 6 Apr 2011 09:49:03 -0400

Tina,

I am not able clearly parse the data to the column headings, but if it helps the diagram below is what I was suggesting.

[DS HOST]--[v4 CE ROUTER]--[v6 BIS ROUTER]-->Service Provider
                                  |
                              [DS HOST]

The issue in the topology depicted above is the IPv4-only CE (interior) ROUTER is out of scope for the -bis draft today. The current scope covers transition technologies on the WAN (6rd and DS-LITE) and a simple two router setup with the interior router being an IPv6 CE router.

Thanks,

Jason

-----Original Message-----
From: Tina Tsou [mailto:[email-masked]]
Sent: Tuesday, April 05, 2011 8:27 PM
To: Weil, Jason; 'Hemant Singh (shemant)'; 'Templin, Fred L'; 'Fred Baker (fred)'
Cc: 'IPv6 Ops WG'; 'Tony Hain (ahain)'
Subject: RE: [v6ops] Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Hi Jason,
Do you mean like this?
Host            [CE router]     [CPE Router: LAN]               [CE-Router:WAN] Network
DS              IPv4-only               DS
IPv4-only
DS              IPv4-only               DS
IPv6-only

Best Regards,
Tina TSOU

-----Original Message-----

Thanks,

Jason

Fred T.,

Thanks,

Hemant

-----Original Message-----

Fred T.,

Hemant

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 6 Apr 2011 08:54:19 -0700

Hi Hemant,

The particular use case for ISATAP I am describing is
for within the home, i.e., the ISATAP-tunneled packets
do not leak out and interact with other homes. In that
case, it does not matter whether home A numbers its
internal interfaces and links with the same IPv4
addresses that are internal to home B - the two are
treated as separate and non-intersecting ISATAP links.

Thanks - Fred

> Sent: Tuesday, April 05, 2011 4:03 PM

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 6 Apr 2011 09:12:09 -0700

Hi Hemant,

I don't think we should assume anything about how the
home/soho network is configured internally. Customers
will want to drop a new CPE router in-place and expect
that hosts within their network will magically start
to use IPv6. If the home/soho network has lots of IPv4
links and routers, the only way that can happen is if
the CPE router implements the ISATAP router function.

Thanks - Fred

> Sent: Tuesday, April 05, 2011 4:58 PM
> Subject: RE:

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 6 Apr 2011 09:19:08 -0700

Hi Jason,

I'm not sure I understand that. We have no idea what
varieties of topologies are set up in home/soho networks
today, however it seems reasonable to assume that many
have lots of IPv4 links and routers internally. That
class of network would like to see IPv6 automatically
turned on when their new CPE router is dropped in
place the same as for simple home/soho networks with
trivial internal topologies.

Thanks - Fred

> From: Weil, Jason [mailto:[email-masked]] 
> If I recall correctly ISATAP was designed to support 
> duals-stack hosts through IPv4-only intermediate hops. The 
> use case that I tried hard not to ponder but is the only one 
> I could think of here is an intermediate hop IPv4-only CE 
> router connected between a dual-stack host and the dual-stack 
> on LAN CPE Router. While it is possibly and maybe even likely 
> this will happen, as Hemant alluded, the uses cases currently 
> being considered were assuming Dual-stack home network and 
> IPv4-only or IPv6-only WAN connection to the service 
> provider. I would say this belongs in the 3rd Phase draft for 
> From: [email-masked] [[email-masked]] On 
> Behalf Of Hemant Singh (shemant) [[email-masked]]
> This E-mail and any of its attachments may contain Time 
> Warner Cable proprietary information, which is privileged, 
> confidential, or subject to copyright belonging to Time 
> Warner Cable. This E-mail is intended solely for the use of 
> the individual or entity to which it is addressed. If you are 
> not the intended recipient of this E-mail, you are hereby 
> notified that any dissemination, distribution, copying, or 
> action taken in relation to the contents of and attachments 
> to this E-mail is strictly prohibited and may be unlawful. If 
> you have received this E-mail in error, please notify the 
> sender immediately and permanently delete the original and 
> any copy of this E-mail and any printout.
>

---

From: Dmitry Anipko <[email-masked]>
Date: Wed, 6 Apr 2011 11:09:14 -0700

Hi Fred,

Do I understand correctly that draft-ietf-v6ops-ipv6-cpe-router-bis-00 doesn't preclude a deployment where the CE router would hand out public IPv4 addresses on the LAN? I could not find a statement of the opposite in the draft, please let me know if I missed it.

If such deployments are in scope for draft-ietf-v6ops-ipv6-cpe-router-bis-00, then if CE routers with ISATAP support enable automatically ISATAP for such hosts with public IPv4 addresses, will such hosts be on single IPv6 virtual link? 

Thanks,
Dmitry

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Templin, Fred L
Sent: Wednesday, April 06, 2011 8:54 AM
To: Hemant Singh (shemant); Fred Baker (fred)
Cc: IPv6 Ops WG
Subject: Re: [v6ops] Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Hi Hemant,

Thanks - Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 6 Apr 2011 11:44:18 -0700

Hi Dmitry, 

> From: Dmitry Anipko [mailto:[email-masked]] 
> Sent: Wednesday, April 06, 2011 11:09 AM
> To: Templin, Fred L; Hemant Singh (shemant); Fred Baker (fred)
> Cc: IPv6 Ops WG
> Subject: RE: 
> Do I understand correctly that 
> draft-ietf-v6ops-ipv6-cpe-router-bis-00 doesn't preclude a 
> deployment where the CE router would hand out public IPv4 
> addresses on the LAN? I could not find a statement of the 
> opposite in the draft, please let me know if I missed it.

I don't see a problem if the CE router hands out public
IPv4 addresses on the LAN, and I can't see a reason for
the draft to preclude that.

> If such deployments are in scope for 
> draft-ietf-v6ops-ipv6-cpe-router-bis-00,

I don't see why they would not be in-scope.

> then if CE routers 
> with ISATAP support enable automatically ISATAP for such 
> hosts with public IPv4 addresses, will such hosts be on 
> single IPv6 virtual link?

There are actually two questions wrapped up in this,
being:

1) Will the CE router automatically enable ISATAP for
   hosts with public IPv4 addresses?
2) If so, will such hosts be on a single IPv6 virtual
   link?

As to 1), it is a question of fact as to whether the
CE router would enable ISATAP or simply leave the hosts
to their own devices do host-based 6to4. Personally, I
think the CE router could play it both ways, i.e., allow
host-based 6to4 hosts to do their own thing while also
providing ISATAP managed services to those hosts that
prefer to use ISATAP.

As to 2), the hosts within the home/soho network would
logicially be on a single IPv6 virtual link (along with
all other hosts wordlwide that enable ISATAP using public
IPv4 addresses), but the CE router should institute
filtering so that only those hosts within the same
home/soho network get to see each other as neighbors on
the link. The home/soho network then becomes a logical
partition on the global IPv6 virtual link, and is
connected to other partitions and the rest of the IPv6
Internet via IPv6 routing (beginning with the CE router
as the default router for the partition).

A question for you: do Microsoft hosts prefer to use
host-based 6to4 or ISATAP? Based on these numerous
discussion threads on the list right now, it seems
like they would be better off doing ISATAP when it
is available, right?

Thanks - Fred

> On Behalf Of Templin, Fred L

---

From: Dmitry Anipko <[email-masked]>
Date: Wed, 6 Apr 2011 12:37:07 -0700

Hi Fred,

>> but the CE router should institute filtering so that only those hosts within the same home/soho network get to see each other as neighbors on the link.

Should this requirement be included into the list of ISATAP-related requirements you sent earlier for section 5.5.3? Also, as I understand the filtering would have to distinguish ISATAP use of protocol 41 from any other use - however is it  feasible, since it is required that ISATAP addresses have the particular interface ID format, but non-ISATAP links may also have interface ID in the same format and should not be subject to such filtering (manually configured tunnels)?

>> A question for you: do Microsoft hosts prefer to use host-based 6to4 or ISATAP?

By default on Windows 6to4 is not enabled if there are other global non-Teredo IPv6 addresses - so if there is an ISATAP global IPv6 address, there won't be 6to4 interface by default, and ISATAP will be used. 

If 6to4 is enabled by explicit configuration, then for a destination, matching default route on both interfaces and not matching any more specific routes (such as e.g. 2002::/16 or ISATAP subnet prefix), the choice depends on the preference advertized by ISATAP router and detected RTT to the 6to4 relay, either one can win. If relay is unreachable, Windows doesn't configure default route on 6to4. Please let me know whether that answers your question.

Thank you,
Dmitry 

-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]] 
Sent: Wednesday, April 06, 2011 11:44 AM
To: Dmitry Anipko; Hemant Singh (shemant); Fred Baker (fred)
Cc: IPv6 Ops WG
Subject: RE: [v6ops]Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Hi Dmitry, 

Thanks - Fred

---

From: Ole Troan <[email-masked]>
Date: Wed, 6 Apr 2011 21:44:13 +0200

> The issue in the topology depicted above is the IPv4-only CE (interior) ROUTER is out of scope for the -bis draft today. The current scope covers transition technologies on the WAN (6rd and DS-LITE…

what is the proposal, that the IPv6 CE comes with ISATAP supported on by default or be capable of doing ISATAP tunneling? (remember we are trying to make these routers require no management).

if ISATAP is enabled by default, how do we know that the user hasn't intended a topology separating host on different links and by building a single virtual link we are violating that policy? e.g. why were the extra routers there in the first place.

how is ISATAP provisioning supposed to work? so far the IPv6 CE router work has focused on the profile of the router itself, and it has references standards track document for WAN side and LAN side behaviour.

cheers,
Ole

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 6 Apr 2011 15:37:33 -0700

Hi Dmitry, 

> Sent: Wednesday, April 06, 2011 12:37 PM
> >> but the CE router should institute filtering so that only 
> those hosts within the same home/soho network get to see each 
> other as neighbors on the link.
> 
> Should this requirement be included into the list of 
> ISATAP-related requirements you sent earlier for section 
> 5.5.3? Also, as I understand the filtering would have to 
> distinguish ISATAP use of protocol 41 from any other use - 
> however is it  feasible, since it is required that ISATAP 
> addresses have the particular interface ID format, but 
> non-ISATAP links may also have interface ID in the same 
> format and should not be subject to such filtering (manually 
> configured tunnels)?

It would be very messy to get into the business of trying
to discern one type of ip-proto-41 tunnel from another. So,
instead of disallowing ip-proto-41 from crossing between
the LAN and WAN sides of the CE router, we can make a
simple requirement that only those IPv4 addresses that
are on the LAN side of the CE are permitted to tunnel
*to* the LAN side interface of the CE. In other words,
only LAN-side devices are permitted to use the CE as an
ISATAP default router. This could then go into my list
of Section 5.5.3 requirements - does that make sense?

> host-based 6to4 or ISATAP?
> 
> By default on Windows 6to4 is not enabled if there are other 
> global non-Teredo IPv6 addresses - so if there is an ISATAP 
> global IPv6 address, there won't be 6to4 interface by 
> default, and ISATAP will be used. 
> 
> If 6to4 is enabled by explicit configuration, then for a 
> destination, matching default route on both interfaces and 
> not matching any more specific routes (such as e.g. 2002::/16 
> or ISATAP subnet prefix), the choice depends on the 
> preference advertized by ISATAP router and detected RTT to 
> the 6to4 relay, either one can win. If relay is unreachable, 
> Windows doesn't configure default route on 6to4. Please let 
> me know whether that answers your question.

Yes, I think so. Please also let me know if the
requirement I articulated above seems reasoanble.

Thanks - Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 6 Apr 2011 16:36:35 -0700

Hi Ole, 

> From: Ole Troan [mailto:[email-masked]] On Behalf Of 
> Ole Troan
> Sent: Wednesday, April 06, 2011 12:44 PM
> To: Weil, Jason
> Cc: Tina Tsou; 'Hemant Singh (shemant)'; Templin, Fred L; 
> 'Fred Baker (fred)'; 'IPv6 Ops WG'; 'Tony Hain (ahain)'
> Subject: Re: [v6ops] 
> > I am not able clearly parse the data to the column 
> headings, but if it helps the diagram below is what I was suggesting.
> > 
> > The issue in the topology depicted above is the IPv4-only 
> CE (interior) ROUTER is out of scope for the -bis draft 
> today. The current scope covers transition technologies on 
> the WAN (6rd and DS-LITE) and a simple two router setup with 
> the interior router being an IPv6 CE router.
> 
> what is the proposal, that the IPv6 CE comes with ISATAP 
> supported on by default or be capable of doing ISATAP 
> tunneling? (remember we are trying to make these routers 
> require no management).

At least capable of acting as an ISATAP router on the LAN
side. On by default would require some means of selecting one
or more IPv6 prefixes to assign to the ISATAP link, but that
should be easy to carve off of whatever stateful or stateless
prefix delegations the CE receives via its WAN connection.

> if ISATAP is enabled by default, how do we know that the user 
> hasn't intended a topology separating host on different links 
> and by building a single virtual link we are violating that 
> policy?

Such a user would be in a more competent position to disable
and/or reconfigure the on-by-default settings than a novice
user would be to enable an off-by-default setting. Besides,
the ISATAP virtual link would not magically bypass any IPv4
filtering gateways in the network. So, the ISATAP virtual
link might be partitioned, but the IPv4 filtering policies
would not be violated. 

> e.g. why were the extra routers there in the first place.

For the same reasons that any IPv4 site administrator
would portion the site off into separate subnets separated
by IPv4 routers.

> how is ISATAP provisioning supposed to work? so far the IPv6 
> CE router work has focused on the profile of the router 
> itself, and it has references standards track document for 
> WAN side and LAN side behaviour.

There is a lot of documented operational guidance on how
to provision an ISATAP site service outside of the IETF
document series - some of it from your company.

Thanks - Fred

---

From: Fred Baker <[email-masked]>
Date: Thu, 7 Apr 2011 08:18:45 +0200

Fred, it might be most appropriate for you to write a draft on the configuration and use of ISATAP in a residential network. To my knowledge, it is rarely if ever used in the absence of an IT department to support it, or in the presence of a native IPv6 network, which is the topic of the CPE Router Draft. If you think it makes sense, maybe you can tell us how in the usual manner.

---

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 7 Apr 2011 07:07:57 -0700

Hi Fred,

Until your message, this discussion has had traction with
the working group. I am not in a position to release a new
draft without permission from my company which can require
a considerable internal review cycle, after which this
discussion thread will have grown stone cold. I wish you
would have floated the idea to me off-list first.

To your points, I believe this document needs to consider
the case of a CPE router deployed at the border of a
predominantly IPv4 network. In that case, ISATAP enables
an automatic IPv6 capability for hosts in the end user
network.

Fred

> Sent: Wednesday, April 06, 2011 11:19 PM
> To: Templin, Fred L
> Cc: Ole Troan; Weil, Jason; Tina Tsou; 'Hemant Singh 
> (shemant)'; 'IPv6 Ops WG'; 'Tony Hain (ahain)'
> Subject: Re: [v6ops] 
> Fred, it might be most appropriate for you to write a draft 
> on the configuration and use of ISATAP in a residential 
> network. To my knowledge, it is rarely if ever used in the 
> absence of an IT department to support it, or in the presence 
> of a native IPv6 network, which is the topic of the CPE 
> Router Draft. If you think it makes sense, maybe you can tell 
> us how in the usual manner.
>

---

From: [email-masked]
Date: Thu, 7 Apr 2011 16:37:39 -0400

<below>

Fred Baker <[email-masked]> 
Envoyé par : [email-masked]
07/04/2011 02:19 AM

A
"Templin, Fred L" <[email-masked]>
cc
'IPv6 Ops WG' <[email-masked]>, "'Tony Hain \(ahain\)'" <[email-masked]>
Objet
Re: [v6ops]     Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

> Fred, it might be most appropriate for you to write a draft on the 
configuration and use of ISATAP 
> in a residential network. To my knowledge, it is rarely if ever used in 
the absence of an IT 
> department to support it, or in the presence of a native IPv6 network, 
which is the topic of 
> the CPE Router Draft. If you think it makes sense, maybe you can tell us 
how in the usual manner.

+1

Routed networks are rarely seen in a residential environment (outside of 
Tony's house). 

Besides, adding ISATAP in this draft would only add confusion to an 
already confused CPE 
vendor ecosystem, IMHO. From an ISP point of view, it's probably 
preferable to have vendors 
implement few feature correctly than many poorly. Let them focus on 
DHCPv6-PD, PPPoE and 6RD first. 

/JF

---

From: "Weil, Jason" <[email-masked]>
Date: Thu, 7 Apr 2011 18:06:02 -0400

Fred T.,

I completely agree that IPv4 links and IPv4 routers are reasonable and expected in nearly limitless topologies in the residential network. But in order to limit  scope creep of this router-bis draft to something that could published in a reasonable amount of time, the arbitrarily complex home network was not included. In fact it was narrowed down to just the topology depicted in the draft as it stands today. I think Fred Baker offers a good suggestion in requesting a separate document for how this would be configured and function in various network configurations if you feel that this would be useful and implemented by CE router vendors.

Thanks,

Jason

-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]]
Sent: Wednesday, April 06, 2011 12:19 PM
To: Weil, Jason; Hemant Singh (shemant); Fred Baker (fred)
Cc: IPv6 Ops WG; Tony Hain (ahain)
Subject: RE: [v6ops]Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Hi Jason,

Thanks - Fred

---

From: Chris Donley <[email-masked]>
Date: Fri, 8 Apr 2011 08:49:13 -0600

Fred,
 
In our discussions with cable MSOs, we have identified support for the following transition/coexistence technologies on the access link (e.g. to the CPE router):
*	Native Dual-Stack
*	NAT444
*	DS-Lite
*	6RD
That's it. 
 
Specifically, there is no call for ISATAP, and we don't plan to support it in CableLabs specs. Since the CPE router can advertise an IPv6 prefix on its LAN, I don't think ISATAP is needed for most deployments; I am therefore opposed to including ISATAP support in this draft. If vendors want to include ISATAP support and have customers who will buy it, they're welcome to implement it. I would be willing to support someone publishing a separate draft explaining how ISATAP could be deployed in a home network, but IMO this isn't the right draft.
	
Chris
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Templin, Fred L
Sent: Thursday, April 07, 2011 8:08 AM
To: Fred Baker
Cc: 'IPv6 Ops WG'; 'Tony Hain (ahain)'
Subject: Re: [v6ops] Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Hi Fred,

Until your message, this discussion has had traction with the working group. I am not in a position to release a new draft without permission from my company which can require a considerable internal review cycle, after which this discussion thread will have grown stone cold. I wish you would have floated the idea to me off-list first.

To your points, I believe this document needs to consider the case of a CPE router deployed at the border of a predominantly IPv4 network. In that case, ISATAP enables an automatic IPv6 capability for hosts in the end user network.

Fred

> Cc: Ole Troan; Weil, Jason; Tina Tsou; 'Hemant Singh (shemant)'; 'IPv6 
> Ops WG'; 'Tony Hain (ahain)'
> Subject: Re: [v6ops]
> configuration and use of ISATAP in a residential network. To my 
> knowledge, it is rarely if ever used in the absence of an IT 
> which is the topic of the CPE Router Draft. If you think it makes 
> sense, maybe you can tell us how in the usual manner.
> 
> >> From: Ole Troan [mailto:[email-masked]] On Behalf Of Ole 
> >> Troan
> >> Cc: Tina Tsou; 'Hemant Singh (shemant)'; Templin, Fred L; 'Fred 
> >> Baker (fred)'; 'IPv6 Ops WG'; 'Tony Hain (ahain)'
> >> Subject: Re: [v6ops]
> >> CE (interior) ROUTER is out of scope for the -bis draft today. The 
> >> current scope covers transition technologies on the WAN (6rd and 
> >> DS-LITE) and a simple two router setup with the interior router 
> >> being an IPv6 CE router.
> >> 
> >> what is the proposal, that the IPv6 CE comes with ISATAP supported 
> >> on by default or be capable of doing ISATAP tunneling? (remember we 
> >> are trying to make these routers require no management).
> > 
> > At least capable of acting as an ISATAP router on the LAN side. On 
> > by default would require some means of selecting one or more IPv6 
> > prefixes to assign to the ISATAP link, but that should be easy to 
> > carve off of whatever stateful or stateless prefix delegations the 
> > CE receives via its WAN connection.
> > 
> >> hasn't intended a topology separating host on different links and 
> >> by building a single virtual link we are violating that policy?
> > 
> > Such a user would be in a more competent position to disable and/or 
> > reconfigure the on-by-default settings than a novice user would be 
> > to enable an off-by-default setting. Besides, the ISATAP virtual 
> > link would not magically bypass any IPv4 filtering gateways in the 
> > network. So, the ISATAP virtual link might be partitioned, but the 
> > IPv4 filtering policies would not be violated.
> > 
> > For the same reasons that any IPv4 site administrator would portion 
> > the site off into separate subnets separated by IPv4 routers.
> > 
> >> how is ISATAP provisioning supposed to work? so far the IPv6 CE 
> >> router work has focused on the profile of the router itself, and it 
> >> has references standards track document for WAN side and LAN side 
> >> behaviour.
> > 
> > There is a lot of documented operational guidance on how to 
> > provision an ISATAP site service outside of the IETF document series 
> > - some of it from your company.
> > 
> > Thanks - Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 8 Apr 2011 09:06:14 -0700

OK, I seem to be hearing from the majority of responders
that there would be support for a separate draft explaining
the use of ISATAP in home/soho networks. If that would not
be the case I'd like to know now, since it would save me
considerable trouble in preparing a new draft.

Thanks - Fred

---

From: "Lee, Yiu" <[email-masked]>
Date: Fri, 8 Apr 2011 16:26:58 +0000

I second this. Let's focus on a smaller subset of features which are most important for the CPE vendors to build. Then people who are interested in more advanced home networking can write a separate draft and explain how it should work. If the WG decides this is important, then adopt it as WG item. This won't delay the process and the CPE vendors (and customers) will be sooner to have a v6 CPE.

/Yiu

From: <[email-masked]<mailto:[email-masked]>>
Date: Thu, 7 Apr 2011 16:37:39 -0400
To: <[email-masked]<mailto:[email-masked]>>
Cc: 'IPv6 Ops WG' <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Subject: Re: [v6ops] Fwd:I-DAction:draft-ietf-v6ops-ipv6-cpe-router-bis-00.txt

Routed networks are rarely seen in a residential environment (outside of Tony's house).

Besides, adding ISATAP in this draft would only add confusion to an already confused CPE
vendor ecosystem, IMHO. From an ISP point of view, it's probably preferable to have vendors
implement few feature correctly than many poorly. Let them focus on DHCPv6-PD, PPPoE and 6RD first.

---

From: Fred Baker <[email-masked]>
Date: Fri, 8 Apr 2011 18:29:05 +0200

It's up to you. What I'm hearing from BBF and Cable Labs is that there is no use case in their networks.

---

From: Ole Troan <[email-masked]>
Date: Fri, 8 Apr 2011 20:50:40 +0200

Fred,

> considerable trouble in preparing a new draft.

I can conceptually imagine a network for where ISATAP could be useful in the home.
but I don't know if such a network exists in the real world. I am hoping that we can manage to make the home network native IPv6. the main use case for a routed home, the 802.15.4 folks are going to use ISATAP anyway.

perhaps if you are unsure of the reception a draft would get. could you explore the most essential question. how could an ISATAP service be self configured / unmanaged in a home network? can that be done without changes to hosts stacks?

if ISATAP can't be made to work unmanaged it is a non-starter.

cheers,
Ole